@import "reset.css";
html,
body {
  min-height: 100vh;
  height: fit-content;
  background: white;
  color: black;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  line-height: 120%;
  font-size: 16px;
  position: relative;
  overflow: scroll;
  /* ou auto */
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* Internet Explorer et Edge Legacy */
}
/* Pour Chrome, Safari et Edge Chromium */
body::-webkit-scrollbar {
  display: none;
}
.is-hidden {
  visibility: hidden;
}
button {
  background-color: transparent;
  padding: 0;
  margin: 0;
  border: none;
  outline: none;
}
.portrait {
  margin: 60px 0 60px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 2;
}
@media screen and (max-width: 1440px) {
  .portrait {
    margin: 60px 0 30px 0;
  }
}
@media screen and (max-width: 767px) {
  .portrait {
    margin: 60px 0 30px 0;
  }
}
.portrait img {
  max-width: 240px;
  height: auto;
}
@media screen and (max-width: 1440px) {
  .portrait img {
    max-width: 160px;
  }
}
@media screen and (max-width: 767px) {
  .portrait img {
    max-width: 160px;
  }
}
.portrait h1 {
  margin-top: 40px;
  font-family: 'Roboto', sans-serif;
  font-weight: 200;
  line-height: 120%;
  font-size: 70px;
  color: #000000;
  text-align: center;
  padding: 0 20px;
}
@media screen and (max-width: 1439px) {
  .portrait h1 {
    font-size: 54px;
  }
}
@media screen and (max-width: 767px) {
  .portrait h1 {
    font-size: 48px;
  }
}
.portrait h2 {
  margin-top: 30px;
  font-family: 'Poppins', sans-serif;
  font-weight: 800;
  line-height: 120%;
  font-size: 42px;
  color: #000000;
  text-align: center;
  padding: 0 20px;
  text-transform: uppercase;
  line-height: 110%;
}
@media screen and (max-width: 1439px) {
  .portrait h2 {
    font-size: 32px;
    margin-top: 10px;
  }
}
@media screen and (max-width: 1279px) {
  .portrait h2 {
    font-size: 32px;
  }
}
@media screen and (max-width: 767px) {
  .portrait h2 {
    margin-top: 10px;
    padding: 0 40px;
  }
}
.portrait p {
  padding-top: 40px;
  padding-left: 40px;
  padding-right: 40px;
  text-align: center;
  font-size: 22px;
  line-height: 120%;
}
@media screen and (max-width: 1439px) {
  .portrait p {
    font-size: 20px;
    padding-top: 10px;
  }
}
@media screen and (max-width: 767px) {
  .portrait p {
    max-width: 420px;
    padding-top: 20px;
  }
}
.projets {
  position: relative;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}
.projets .content {
  width: 100%;
  max-width: 1920px;
  height: auto;
  display: grid;
  gap: 40px;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
  align-items: flex-start;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: flex-start;
  margin: 40px;
  padding: 0 60px;
}
@media screen and (max-width: 1440px) {
  .projets .content {
    gap: 20px;
  }
}
@media screen and (max-width: 1279px) {
  .projets .content {
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    gap: 40px;
  }
}
@media screen and (max-width: 1023px) {
  .projets .content {
    grid-template-columns: minmax(0, 1fr);
    padding: 0 20px;
    gap: 20px;
  }
}
@media screen and (max-width: 575px) {
  .projets .content {
    padding: 0;
    margin: 25px;
  }
}
.projets .content .projet {
  pointer-events: none;
  display: none;
  flex-direction: column;
}
@media screen and (max-width: 575px) {
  .projets .content .projet {
    margin-bottom: 30px;
  }
}
.projets .content .projet .visuel {
  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  padding-bottom: 72%;
  overflow: hidden;
  opacity: 1;
  transition: transform 0.5s cubic-bezier(0.75, 0, 0.25, 1), box-shadow 0.5s cubic-bezier(0.75, 0, 0.25, 1);
  cursor: pointer;
  border-radius: 20px;
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .visuel:hover {
    transform: translateY(-20px);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px;
  }
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .visuel:hover .arrow {
    transform: translateX(0);
  }
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .visuel:hover .filtre {
    opacity: 0.8;
  }
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .visuel:hover .txt-desk {
    opacity: 1;
    transform: translateY(0);
  }
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .visuel:hover .miniature {
    filter: blur(8px);
  }
}
.projets .content .projet .visuel .arrow {
  position: absolute;
  z-index: 20;
  bottom: 0;
  right: 0;
  width: 80px;
  height: 80px;
  transform: translateX(80px);
  transition: transform 0.35s 0.075s cubic-bezier(0.75, 0, 0.25, 1);
}
@media screen and (max-width: 1439px) {
  .projets .content .projet .visuel .arrow {
    width: 46px;
    height: 46px;
    transform: translateX(46px);
  }
}
@media screen and (max-width: 575px) {
  .projets .content .projet .visuel .arrow {
    width: 60px;
    height: 60px;
    transform: translateX(60px);
  }
}
.projets .content .projet .visuel .arrow img {
  width: 100%;
  height: auto;
}
.projets .content .projet .visuel .miniature {
  position: absolute;
  z-index: 1;
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
  transition: transform 0.5s cubic-bezier(0.14, 0.94, 0.48, 1.01), filter 0.25s 0.25s cubic-bezier(0.14, 0.94, 0.48, 1.01);
  cursor: pointer;
}
.projets .content .projet .visuel .bg {
  position: absolute;
  z-index: 10;
  width: 120%;
  height: 110%;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  margin: auto;
  background-color: #ffffff;
  opacity: 0;
  pointer-events: none;
}
.projets .content .projet .visuel .filtre {
  position: absolute;
  z-index: 9;
  width: 100%;
  height: 100%;
  background-color: #000000;
  opacity: 0.03;
  pointer-events: none;
  transition: opacity 0.25s 0.25s cubic-bezier(0.14, 0.94, 0.48, 1.01);
}
.projets .content .projet .txt-desk {
  position: absolute;
  z-index: 12;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: opacity 0.25s 0.25s cubic-bezier(0.14, 0.94, 0.48, 1.01), transform 0.25s 0.25s cubic-bezier(0.14, 0.94, 0.48, 1.01);
  opacity: 0;
  transform: translateY(30px);
  pointer-events: none;
}
@media screen and (max-width: 1279px) {
  .projets .content .projet .txt-desk {
    display: none;
  }
}
.projets .content .projet .txt-desk .client {
  font-family: 'Poppins', sans-serif;
  font-weight: 800;
  font-size: 28px;
  color: white;
  text-align: center;
  line-height: 120%;
  margin: 0 8%;
}
@media screen and (max-width: 1440px) {
  .projets .content .projet .txt-desk .client {
    font-size: 22px;
  }
}
@media screen and (max-width: 767px) {
  .projets .content .projet .txt-desk .client {
    font-size: 20px;
  }
}
.projets .content .projet .txt-desk .description {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  line-height: 120%;
  padding-top: 20px;
  font-size: 18px;
  color: white;
  text-align: center;
  line-height: 140%;
  margin: 0 18%;
}
@media screen and (max-width: 1440px) {
  .projets .content .projet .txt-desk .description {
    font-size: 16px;
    margin: 0 10%;
  }
}
@media screen and (max-width: 575px) {
  .projets .content .projet .txt-desk .description {
    height: auto;
  }
}
.projets .content .projet .txt-desk .description .lien {
  display: block;
  margin-top: 20px;
  font-family: 'Roboto', sans-serif;
  font-weight: 700;
  line-height: 120%;
  color: white;
  text-decoration: none;
  position: relative;
  outline: none;
  text-align: center;
}
@media screen and (max-width: 575px) {
  .projets .content .projet .txt-desk .description .lien {
    margin-bottom: 0;
  }
}
.projets .content .projet .txt-desk .description .lien:after {
  content: "➜";
  margin-left: 3px;
  opacity: 0;
  transition: all 0.125s linear;
}
.projets .content .projet .txt-desk .description .lien:hover:after {
  margin-left: 6px;
  opacity: 1;
}
.projets .content .projet .txt-mob {
  display: none;
}
@media screen and (max-width: 1279px) {
  .projets .content .projet .txt-mob {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
  }
}
.projets .content .projet .txt-mob .client {
  font-family: 'Poppins', sans-serif;
  font-weight: 800;
  padding-top: 20px;
  font-size: 28px;
  color: #000000;
  text-align: left;
  opacity: 0;
  line-height: 120%;
  transform: translateX(40px);
}
@media screen and (max-width: 1439px) {
  .projets .content .projet .txt-mob .client {
    font-size: 22px;
  }
}
.projets .content .projet .txt-mob .description {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  line-height: 120%;
  padding-top: 10px;
  font-size: 18px;
  color: #606D8B;
  text-align: left;
  height: 160px;
  opacity: 0;
  line-height: 140%;
  transform: translateX(20px);
  width: 90%;
}
@media screen and (max-width: 1439px) {
  .projets .content .projet .txt-mob .description {
    height: 160px;
  }
}
@media screen and (max-width: 767px) {
  .projets .content .projet .txt-mob .description {
    height: 160px;
  }
}
@media screen and (max-width: 575px) {
  .projets .content .projet .txt-mob .description {
    height: auto;
  }
}
.projets .content .projet .txt-mob .description .lien {
  display: block;
  margin-top: 10px;
  margin-bottom: 25px;
  font-family: 'Roboto', sans-serif;
  font-weight: 700;
  line-height: 120%;
  color: #000000;
  text-decoration: none;
  position: relative;
  outline: none;
}
@media screen and (max-width: 575px) {
  .projets .content .projet .txt-mob .description .lien {
    margin-bottom: 0;
  }
}
.projets .content .projet .txt-mob .description .lien:after {
  content: "➜";
  margin-left: 3px;
  opacity: 0;
  transition: all 0.125s linear;
}
@media screen and (max-width: 1279px) {
  .projets .content .projet .txt-mob .description .lien:after {
    transition: none;
    opacity: 1;
  }
}
@media screen and (min-width: 1280px) {
  .projets .content .projet .txt-mob .description .lien:hover:after {
    margin-left: 6px;
    opacity: 1;
  }
}
